SYSTUNE(8)

NAME
systune - Kernel tuning through the /proc filesystem.

SYNOPSIS
systune [ -c, --config configfile ] [ -h, --help ] [ -v, --verbose ]

DESCRIPTION
This program writes kernel parameters, previously saved in a configuration file, to the /proc filesystem. This enables kernel performance to be adjusted without recompiling the kernel.

OPTIONS

-c, --config configfile
    Specify an alternative config file. The default is /etc/systune.conf

-h, --help
    Print a short explanation of syntax to standard output.

-v, --verbose
    Verbose mode: cause non-existent paths in the configuration to generate error output to standard error. Without this option, erroneous paths are discarded silently.

CONFIGURATION FILE FORMAT
Each definition takes a single line, in the form path:definition, where path must begin with /proc/sys/. Paths beginning with any other sequence are silently ignored.

Comments are introduced by the character #. The whole line from the # character onwards is discarded, together with any whitespace immediately preceding it.

Blank lines are ignored.

FILES

/etc/systune.conf
    A file with saved kernel parameters. It is possible to generate this file with the systunedump (8) command.

SEE ALSO
systunedump(8).

AUTHOR
Piotr Roszatycki <dexter@debian.org>.

THANKS
Daniel Podlejski, Oliver Elphick.